net.sf.jasperreports.engine.design

## Class JRDesignElementGroup

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementGroup
  - - net.sf.jasperreports.engine.design.JRDesignElementGroup

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRChild, JRCloneable, JRElementGroup, JRVisitable
  Direct Known Subclasses:
    DesignCell, DesignListContents, JRDesignBand, JRDesignCellContents

      public class JRDesignElementGroup
      extends JRBaseElementGroup
      implements JRChangeEventsSupport

  Version:
    $Id: JRDesignElementGroup.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CHILDREN`
    `static java.lang.String` | `PROPERTY_ELEMENT_GROUP`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup

      `children, elementGroup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignElementGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElement(int index, JRDesignElement element)`
    `void` | `addElement(JRDesignElement element)`
    `void` | `addElement(JRElement element)`
    `void` | `addElementGroup(int index, JRDesignElementGroup elemGrp)`
    `void` | `addElementGroup(JRDesignElementGroup elemGrp)`
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `JRDesignElement` | `removeElement(JRDesignElement element)`
    `JRDesignElementGroup` | `removeElementGroup(JRDesignElementGroup elemGrp)`
    `void` | `setElementGroup(JRElementGroup elementGroup)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup

      `clone, getChildren, getElementByKey, getElementByKey, getElementGroup, getElements, getElements, visit`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_ELEMENT_GROUP

          public static final java.lang.String PROPERTY_ELEMENT_GROUP

      See Also:
        Constant Field Values

    - #### PROPERTY_CHILDREN

          public static final java.lang.String PROPERTY_CHILDREN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignElementGroup

          public JRDesignElementGroup()

  - ### Method Detail

    - #### setElementGroup

          public void setElementGroup(JRElementGroup elementGroup)

    - #### addElement

          public void addElement(JRDesignElement element)

    - #### addElement

          public void addElement(int index,
                        JRDesignElement element)

    - #### addElement

          public void addElement(JRElement element)

    - #### removeElement

          public JRDesignElement removeElement(JRDesignElement element)

    - #### addElementGroup

          public void addElementGroup(JRDesignElementGroup elemGrp)

    - #### addElementGroup

          public void addElementGroup(int index,
                             JRDesignElementGroup elemGrp)

    - #### removeElementGroup

          public JRDesignElementGroup removeElementGroup(JRDesignElementGroup elemGrp)

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseElementGroup`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com